classification
Title: build_tkinter.py does not handle paths with spaces
Type: behavior Stage:
Components: Build, Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, JosephArmbruster, gpolo, steve.dower, zach.ware
Priority: low Keywords:

Created on 2008-03-01 00:35 by JosephArmbruster, last changed 2014-06-23 17:50 by loewis. This issue is now closed.

Messages (5)
msg63152 - (view) Author: Joseph Armbruster (JosephArmbruster) Date: 2008-03-01 00:35
http://svn.python.org/projects/python/trunk/PCbuild/build_tkinter.py
rev 61127

Is it still in python-devs interest to support building the tree in a
path that contains spaces?  I (pretty much always) do, so if a patch for
this is desired, I can put one together.
msg63161 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-01 15:45
Go ahead if you like to work on a patch. I'm +0.
msg116983 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-09-20 21:43
Is this still valid?
msg221300 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-22 19:46
I've seen several comments recently about the workaround to this problem being "don't put spaces in paths on Windows", so can we close this as "won't fix"?
msg221328 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-06-23 00:45
build_tkinter.py no longer exists in 3.5, so I'm inclined to close as 'out of date'.
History
Date User Action Args
2014-06-23 17:50:18loewissetstatus: open -> closed
resolution: accepted -> out of date
2014-06-23 00:45:25zach.waresetmessages: + msg221328
2014-06-22 21:46:05loewissetversions: + Python 3.5, - Python 3.1, Python 2.7, Python 3.2
2014-06-22 21:34:13ned.deilysetnosy: + zach.ware, steve.dower
2014-06-22 19:46:44BreamoreBoysetnosy: + BreamoreBoy
messages: + msg221300
2014-02-03 18:00:58taleinatsetnosy: - taleinat
2014-02-03 15:46:47BreamoreBoysetnosy: - BreamoreBoy
2013-11-17 15:28:20christian.heimessetnosy: - christian.heimes
2010-09-20 23:48:25terry.reedysetnosy: - terry.reedy
2010-09-20 21:43:39BreamoreBoysetnosy: + terry.reedy, taleinat, gpolo, BreamoreBoy

messages: + msg116983
versions: + Python 3.1, Python 2.7, Python 3.2, - Python 2.6, Python 3.0
2008-03-01 15:45:18christian.heimessetpriority: low
resolution: accepted
messages: + msg63161
versions: + Python 3.0
2008-03-01 00:35:42JosephArmbrustercreate